using Fantasy.Entitas;

namespace NB.Map;

public class RoomManageComponent : Entity
{
    public readonly Dictionary<int, MapRoom> Rooms = new();

    public readonly PriorityQueue<int, int> FreeIds = new();
    public readonly HashSet<int> InUseID = new();

    public string TestRoomCode;
}